Package com.ngrok.definitions

# Class AwsCredentials

java.lang.Object
com.ngrok.definitions.AwsCredentials

public class AwsCredentials extends Object
A class encapsulating the `AwsCredentials` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AwsCredentials.Builder`
  Builder class for `AwsCredentials`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAwsAccessKeyId()`
  The ID portion of an AWS access key.
  `Optional<String>`
  `getAwsSecretAccessKey()`
  The secret portion of an AWS access key.
  `int`
  `hashCode()`
  `static AwsCredentials.Builder`
  `newBuilder(String awsAccessKeyId, String awsSecretAccessKey)`
  Creates a new builder for the `AwsCredentials` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static AwsCredentials.Builder newBuilder(String awsAccessKeyId, String awsSecretAccessKey)
    Creates a new builder for the `AwsCredentials` type.
    Parameters:
      `awsAccessKeyId` - The ID portion of an AWS access key.
      `awsSecretAccessKey` - The secret portion of an AWS access key.
    Returns:
      a new `AwsCredentials.Builder`

  - ### getAwsAccessKeyId

    public String getAwsAccessKeyId()
    The ID portion of an AWS access key.
    Returns:
      the value of the property as a `String`

  - ### getAwsSecretAccessKey

    public Optional<String> getAwsSecretAccessKey()
    The secret portion of an AWS access key.
    Returns:
      the value of the property as a `String` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`